=== contrib/apt-conf/CMakeLists.txt ===

install(FILES 50appstream DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/apt/apt.conf.d/)
