=== contrib/its/CMakeLists.txt ===
# Gettext ITS information for MetaInfo files

install(FILES metainfo.its metainfo.loc DESTINATION share/gettext/its)
