=== debian/changelog ===
appstream (0.9.4-1) unstable; urgency=medium

  * New upstream release: 0.9.4
  * Fix autopkgtest
  * Update .symbols file
  * Bump standards version: No changes needed
  * Use secure Vcs-* URLs

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Apr 2016 16:24:42 +0200

appstream (0.9.3-1) unstable; urgency=medium

  * New upstream release: 0.9.3
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 24 Mar 2016 19:26:44 +0100

appstream (0.9.2-2) unstable; urgency=medium

  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 21:48:52 +0100

appstream (0.9.2-1) unstable; urgency=medium

  * New upstream release: 0.9.2
  * Update debian/copyright
  * libappstream: Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 16:10:10 +0100

appstream (0.9.1-1) unstable; urgency=medium

  * New upstream release: 0.9.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Thu, 04 Feb 2016 17:27:02 +0100

appstream (0.9.0-3) unstable; urgency=medium

  * Always keep metadata GZip compressed
    - Adds compatibility with APT >= 1.2
  * Fix test for ascli in APT post-update hook (Closes: #810832)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jan 2016 21:26:50 +0100

appstream (0.9.0-2) unstable; urgency=medium

  * Ensure all data generated by AppStream gets removed on purge
  * Improve the package descriptions slightly
  * Don't print status message on apt update (Closes: #807976)

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Dec 2015 22:48:34 +0100

appstream (0.9.0-1) unstable; urgency=medium

  * New upstream release: 0.9.0
  * Adjust to libappstream ABI break
  * Enable APT support

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Dec 2015 18:44:38 +0100

appstream (0.8.6-1) unstable; urgency=medium

  * New upstream release: 0.8.6
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Nov 2015 14:20:08 +0100

appstream (0.8.5-2) unstable; urgency=medium

  * Don't have libappstream recommend the appstream package
    - The library is useful even without having a cache built.
      Ṕackages which need the cache and/or the AppStream utilities
      need to explicitly depend on the "appstream" package now.
  * Don't print errors when updating data
  * Build the Vala API as well

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Oct 2015 19:46:24 +0100

appstream (0.8.5-1) unstable; urgency=medium

  * New upstream release: 0.8.5
  * Update dependencies

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 18:45:48 +0200
